Bug 1644117 - embree-config.cmake refers to wrong library
Summary: embree-config.cmake refers to wrong library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: embree
Version: 28
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1512896
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-30 04:20 UTC by evzen.mueller
Modified: 2019-03-29 19:20 UTC (History)
2 users (show)

Fixed In Version: embree-3.5.2-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:20:21 UTC
Type: Bug


Attachments (Terms of Use)

Description evzen.mueller 2018-10-30 04:20:10 UTC
When using embree from cmake, for example using this CMakeLists.txt:

cmake_minimum_required(VERSION 3.11)
project(MyProject)
set(CMAKE_CXX_STANDARD 14)
find_package(embree 3.0 REQUIRED)

generated Makefile will refer to 

/usr/lib64/libembree.so.3.0.0

this is incorrect, as Fedora installs embree library into:

/usr/lib64/libembree3.so.3.0.0

It should be either fixed in

/usr/lib64/cmake/embree-3.0.0/embree-config.cmake

changing 

SET(EMBREE_LIBRARY ${EMBREE_ROOT_DIR}/lib64/libembree.so.3.0.0)

to

SET(EMBREE_LIBRARY ${EMBREE_ROOT_DIR}/lib64/libembree3.so.3.0.0)

or by adding symlink from /usr/lib64/libembree.so.3.0.0 to /usr/lib64/libembree3.so.3.0.0

Comment 1 Fedora Update System 2019-03-25 05:13:04 UTC
embree-3.5.2-1.fc30 ispc-1.10.0-4.fc30 openvdb-6.0.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6543fa31d9

Comment 2 Fedora Update System 2019-03-25 18:54:25 UTC
embree-3.5.2-1.fc30, ispc-1.10.0-4.fc30, openvdb-6.0.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6543fa31d9

Comment 3 Fedora Update System 2019-03-29 19:20:21 UTC
embree-3.5.2-1.fc30, ispc-1.10.0-4.fc30, openvdb-6.0.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.